%define upstream_name    Devel-TraceVars
%define upstream_version 0.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Print each line of code with variables evaluated
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(PadWalker)
BuildArch: noarch

%description
If you run your program with 'perl -d:TraceVars program', this module will
print the current line of code being executed to standard error just before
each line is executed. The contents of all scalar variables will be
evaluated and displayed as well. All leading and trailing spaces will be
removed from each line.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.30.0-7.mga6
+ Revision: 1025655
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 0.30.0-6.mga6
+ Revision: 940594
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.30.0-5.mga5
+ Revision: 743726
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.30.0-4.mga5
+ Revision: 684341
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.30.0-3.mga4
+ Revision: 510880
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.30.0-2.mga3
+ Revision: 365841
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jun 15 2012 shlomif <shlomif> 0.30.0-1.mga3
+ Revision: 260750
- imported package perl-Devel-TraceVars


* Fri Jun 15 2012 cpan2dist 0.03-1mga
- initial mageia release, generated with cpan2dist
